/* Public domain. */

#include <nemo/stdint.h>
#include <nemo/siphash.h>

#include "cdb.h"

uint32_t cdb_hash(const void *in, unsigned int len)
{
  static byte_t cdb_hashinitseed[32] = "cdb_Hash;Init.Seed:Random,Bytes!";
  return (uint32_t)siphash24(in, len, cdb_hashinitseed);
}
