/* Public domain. */

#include "cdb.h"

int cdb_read_stralloc(register struct cdb *c, register stralloc *sa)
{
  register uint32_t data_len;
  register unsigned int sa_len;

  data_len = cdb_datalen(c);
  sa_len = stralloc_len(sa);  /* safety first */
  if (!stralloc_ready(sa, sa_len + data_len)) return -1;
  if (cdb_read(c, sa->s + sa_len, data_len, cdb_datapos(c)) < 0) return -1;
  sa->len += data_len;
  return 0;
}
