#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/install.h>

#include "auto_prefix.h"

void hier(void);

void hier(void)
{
  h(auto_prefix, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_prefix, "bin", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "include/nemo", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_prefix, "man", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/man3", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_prefix, "man/cat3", (uid_t)install_manuid, (gid_t)-1, 0755);

  c(auto_prefix, "bin", "cdbget", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbmake", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbdump", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbstats", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbtest", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbmake-12", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_prefix, "bin", "cdbmake-sv", (uid_t)-1, (gid_t)-1, 0755);

  c(auto_prefix, "lib", "libcdb.a", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "include/nemo", "cdb.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_prefix, "include/nemo", "cdb_make.h", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_prefix, "man/man1", "cdbdump.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man1", "cdbget.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man1", "cdbmake.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man1", "cdbmake-12.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man1", "cdbstats.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man1", "cdbtest.1", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat1", "cdbdump.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat1", "cdbget.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat1", "cdbmake.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat1", "cdbmake-12.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat1", "cdbstats.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat1", "cdbtest.0", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/man3", "cdb.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "cdb_find.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "cdb_read.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/man3", "cdb_read_stralloc.3", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_prefix, "man/cat3", "cdb.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "cdb_find.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "cdb_read.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_prefix, "man/cat3", "cdb_read_stralloc.0", (uid_t)install_manuid, (gid_t)-1, 0644);
}
